<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\UserSNSModel as Model;

class UserSNSEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    //Common Function
    public function getParent(): int|null
    {
        return $this->attributes[Model::PARENT];
    }
    public function getID(): string
    {
        return $this->attributes['id'];
    }
    public function getSite(): string
    {
        return $this->attributes['site'];
    }
    public function getEmail(): string
    {
        return $this->attributes['email'];
    }
}
